Invalidate Email Verification

Invalidates the Email Verification status for an Account using the UID.

PUT
/identity/v2/manage/account/{uid}/invalidateemail

Invalidates the Email Verification status for an Account using the UID.

Authorization

apikey<token>

Tenant API Key for authentication

In: query

apisecret<token>

Tenant API Secret for authentication

In: query

Path Parameters

uid*string

The UID associated with the User

Query Parameters

prevent_webhook?boolean

When true, suppresses webhook events for this operation.

emailtemplate?string

Name of the Email template to use for this notification.

verificationurl?string

Verification URL for the User which will be included in the Email template..

Header Parameters

X-PreventWebhook?boolean

When true, suppresses webhook events for this operation.

Response Body

application/json

application/json

application/json

application/json

curl -X PUT "https://api.loginradius.com/identity/v2/manage/account/43e4417bd2de4a1fa82445274f864203/invalidateemail?prevent_webhook=true&emailtemplate=Email-Template&verificationurl=https%3A%2F%2Fexample.com%2Fverify%3Ftoken%3D123456" \  -H "X-PreventWebhook: true"
{
  "IsPosted": true
}

{
  "ErrorCode": 908,
  "Message": "A parameter is not formatted correctly",
  "Description": "The uid is a required parameter."
}

{
  "ErrorCode": 902,
  "Message": "The API secret is unauthorized",
  "Description": "The provided LoginRadius API secret is invalid or is not authorized, please use a valid or authorized LoginRadius API secret or check the API secret for your LoginRadius account."
}

{
  "ErrorCode": 984,
  "Message": "Account ID is invalid",
  "Description": "The provided account ID is invalid, please use a valid account ID in order to process this request."
}